<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
|--------------------------------------------------------------------------
| IMPORTANT USER DEFINED VARIABLES
|--------------------------------------------------------------------------
|
*/

$config['base_url']             = "http://yourdomain.com/smp/";

/*
|--------------------------------------------------------------------------
| $config['install_dir']
| This is normally the path from root of your public_html folder.
| For example, if you have installed SMP in public_html/apps/smp then
| the value should be /apps/smp 
|--------------------------------------------------------------------------
*/
$config['install_dir']          = "/smp/";


/*
|--------------------------------------------------------------------------
| $config['install_dir_path']
| This is normally the full absolute path to the folder where
| you have installed SMP. For example, /home/domain/public_html/apps/smp
|--------------------------------------------------------------------------
*/
$config['install_dir_path']     = "/home/public_html/smp/";

$config['encryption_key']       = "JAHSGTY651BB819KAJSHBAHST";  // Change this key to any 25 alphaumeric string

$config['records_per_page']     = "15";             //This controls how many records are shown on a page

/*
|--------------------------------------------------------------------------
| $config['log_file_name']
| For security reasons, change the name of this file.
| If you change the name of this file, then create a file by the same name in the
| app/logs folder and assign 777 (WRITE) permissions to it. If you don't assign
| 777 permissions to this system will malfunction.
|--------------------------------------------------------------------------
*/
$config['log_file_name']        = "smp.log.txt";

/*
|--------------------------------------------------------------------------
| Index File
|--------------------------------------------------------------------------
|
| Typically this will be your index.php file, unless you've renamed it to
| something else. If you are using mod_rewrite to remove the page set this
| variable so that it is blank.
|
| If you do not wish to have index.php in your URLs, edit the following
| parameter as:
|
| $config['index_page'] = "index.php";
|
| and create a .htaccess file in the root folder where you have installed
| SMP and enter the following in your .htaccess file:
|
| <IfModule mod_rewrite.c>
| RewriteBase /
| RewriteEngine On
| RewriteEngine on
| RewriteCond $1 !^(app|engine|assets|favicon\.ico|robots\.txt|index.php) [NC]
| RewriteRule ^(.*)$ index.php/$1 [L]
| </IfModule>
|
*/
$config['index_page'] = "index.php";

/*
|--------------------------------------------------------------------------
| DO NOT CHANGE THIS
|--------------------------------------------------------------------------
|
*/
$config['site_theme_path']              = $config['base_url'] . "app/views/";
$config['ckeditor_basepath']            = $config['install_dir'] . "/assets/editors/ckeditor/";
$config['fckeditor_toolbarset_default'] = 'Default';
$config['log_file']                     = $config['install_dir_path'] . "/app/logs/" . $config['log_file_name'];
