<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Discuss extends Controller {

    function __construct() {
            parent::Controller();
            $this->load->model($this->config->item('shop_model'));
            $this->load->model($this->config->item('smp_model'));
    }

    //---------------------------------------------------------------

    //<editor-fold desc="FUNCTION DESCRIPTION: SHOW THE PRODUCT DISCUSSION PAGE">
    /*
     * Function: getP
     * Description: Shows the product discussion page
     * ##############################################################
     * Written: 10/06/2010
     * Author: Deep Arora
     * --------------------------------------------------------------
     * Update Log:
     * --------------------------------------------------------------
     * ##############################################################
     * @access public
     * @return void
     */
    //</editor-fold>
    function getP($product_id = '')
    {
        $product_id = smp_decode($product_id);
        $this->_show_discussion_page($product_id);
    }

    function _show_discussion_page($product_id){
        $template_id = smp_lookup('template_id', $this->config->item('tbl_products'), 'product_id = ' . $product_id);
        $template_code = smp_lookup('template_code', $this->config->item('tbl_templates'), 'template_id = ' . $template_id);

        $image = "<img src=" . smp_lookup('image_url', $this->config->item('tbl_products'), 'product_id = ' . $product_id) . " width='150' height='200'>";
        $product_name = smp_lookup('product_name', $this->config->item('tbl_products'), 'product_id = ' . $product_id);
        $fb_app_id = smp_lookup('key_value', $this->config->item('tbl_config'), 'key_name = \'FB_APP_ID\'');
        $product_url = strtoupper(str_replace(" ", '-', $product_name)) . "-PID-" . $product_id;
        //$product_url = strtoupper(str_replace(" ", '-', $product_name));
        $fb_connect_url = 'http://connect.facebook.net/en_US/all.js#appId=' . $fb_app_id . '&amp;xfbml=1';
        $buy_link = 'socket/shop/getP/' . smp_encode($product_id);
        $buy_link = site_url($buy_link);

        $currency_code = "";
        $price = "";
        $description = smp_lookup('description', $this->config->item('tbl_products'), 'product_id = ' . $product_id);
        $product_license = "";

        $template_code = str_replace("{tag_downloadinfo}", '', $template_code);
        $template_code = str_replace("{tag_productimage}", $image, $template_code);
        $template_code = str_replace("{tag_productname}", $product_name, $template_code);
        $template_code = str_replace("{tag_productprice}", $currency_code . "&nbsp;" . $price, $template_code);
        $template_code = str_replace("{tag_productdescription}", $description, $template_code);
        $template_code = str_replace("{tag_productlicense}", $product_license, $template_code);

        $payment_form = "<a href='". $buy_link ."' target='_New'><img src='". base_url() ."/assets/images/buynow.png' align='right' border='0'></a><br><hr noshade size='4' color='#cccccc'>";
        $payment_form .= "<table bgcolor='#f4f4f4' cellpadding='10'><tr><td><h3><font face='tahoma'>Product Feedback/Discussion</font></h3>";

        $payment_form .= "<center><div id='fb-root'></div>";
        $payment_form .= "<script src='$fb_connect_url'></script>";
        $payment_form .= "<fb:comments xid='" . $product_url . "' width='700'></fb:comments></center></td></tr></table>";

        $template_code = str_replace("{tag_paymentform}", $payment_form, $template_code);
        /* ################################################ */
        /* YOU CANNOT REMOVE THIS POWERED BY NOTICE */
        $template_code .= "<center><a href='http://sitemanpro.com' target='_New' style = 'font-size:8px; font-family: arial; color: #999999; text-decoration: none'>Powered by SiteManPro</a></center>";
        /* ################################################ */

        echo $template_code;
    }

}

/* End of file shop.php */
/* Location: ./app/controllers/socket/shop.php */